# Zope3 imports
from zope.interface import implements

# CMF imports
from Products.CMFCore import permissions

# Archetypes & ATCT imports
from Products.Archetypes import atapi
from Products.ATContentTypes.content import base
from Products.ATContentTypes.content import schemata

# Product imports
from plone.tournament import _, PROJECTNAME
from plone.tournament.interfaces import ITeam, ITable

# Schema definition
schema = schemata.ATContentTypeSchema.copy() + atapi.Schema((

  atapi.DateTimeField('start',
        widget = atapi.CalendarWidget(
            label = _(u'Start date'),
            description = _(u''),
        ),
  ),
  
  atapi.DateTimeField('end',
        widget = atapi.CalendarWidget(
            label = _(u'end date'),
            description = _(u''),
        ),

  ),
  
  atapi.FileField('import_file',
        widget = atapi.FileWidget(
            label = _(u'CSV File upload'),
            description = _(u''),
        ),

  ),

))


class Table(base.ATCTContent):
    """An Archetype for Stats Table application"""

    implements(ITable)

    schema = schema
    
# Content type registration for the Archetypes machinery
atapi.registerType(Table, PROJECTNAME)
