# Zope3 imports
from zope.interface import implements

# CMF imports
from Products.CMFCore import permissions

# Archetypes & ATCT imports
from Products.Archetypes import atapi
from Products.ATContentTypes.content import base
from Products.ATContentTypes.content import schemata

# Product imports
from plone.tournament import _, PROJECTNAME
from plone.tournament.interfaces import IPark

# Schema definition
schema = schemata.ATContentTypeSchema.copy() + atapi.Schema((

    atapi.ImageField('image',
             widget=atapi.ImageWidget(
                 label = _(u'Image'),
                 description = _(u''),
                 display_threshold = 640*1024,
             ),
    ),

    atapi.StringField('location',
             widget = atapi.StringWidget(
                 label = _(u'Location'),
                 description = _(u''),
             ),
    ),

))


class Park(base.ATCTContent):
    """An Archetype for Team application"""

    implements(IPark)

    schema = schema
    
# Content type registration for the Archetypes machinery
atapi.registerType(Park, PROJECTNAME)
