# Zope3 imports
from zope.interface import implements

# CMF imports
from Products.CMFCore import permissions

# Archetypes & ATCT imports
from Products.Archetypes import atapi
from Products.ATContentTypes.content import base
from Products.ATContentTypes.content import schemata

# Product imports
from plone.tournament import _, PROJECTNAME
from plone.tournament.interfaces import ITeam

# Schema definition
schema = schemata.ATContentTypeSchema.copy() + atapi.Schema((

  atapi.ReferenceField('park',
           relationship='homebase',
           allowed_types=('plone.tournament.Park',),
           widget = atapi.ReferenceWidget(
               label = _(u'Park'),
               description = _(u''),
           ),
  ),

))


class Team(base.ATCTContent):
    """An Archetype for Team application"""

    implements(ITeam)

    schema = schema
    
# Content type registration for the Archetypes machinery
atapi.registerType(Team, PROJECTNAME)
